Bug 173679 - Savage DRI broken in modular X
Savage DRI broken in modular X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 16:19 EST by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-20 15:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2005-11-18 16:19:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Epiphany/1.8.2

Description of problem:
After installing from the current rawhide tree, modular
X ist installed. There is no 3D acceleration although
the Savage chips seem to be supported now. According to
the X log file, everything should be fine:

    "(II) SAVAGE(0): Direct rendering enabled".

However, even after rebuilding GL screensavers and "ppracer",
3D acceleration is clearly not available.

Version-Release number of selected component (if applicable):
mesa-libGL-6.4-4

How reproducible:
Always

Steps to Reproduce:
1. Launch some Open GL application.
 
 

Actual Results:  3D graphics is awfully slow.



Expected Results:  3D graphics should be accelerated.

Additional info:

Before reinstalling my system, I had used my hoembrewn,
monolithic Xorg 6.9RC1 RPMs. Here, 3D acceleration was
excellent even for the latest rawhide tree before the
move to modular X. It seems, that the Mesa tree is not
the right one. enabling verbose output, one obtains for
"ppracer" the following output:

[test]$ env LIBGL_DEBUG=verbose /usr/bin/ppracer
PPRacer 0.3.1 --  http://racer.planetpenguin.de
(c) 2004-2005 The PPRacer team
(c) 1999-2001 Jasmin F. Patry<jfpatry@sunspirestudios.com>
PPRacer comes with ABSOLUTELY NO WARRANTY. This is free software,
and you are welcome to redistribute it under certain conditions.
See http://www.gnu.org/copyleft/gpl.html for details.

libGL: XF86DRIGetClientDriverName: 2.0.2 savage (screen 0)
libGL: OpenDriver: trying /usr/X11R6/lib/modules/dri/savage_dri.so
libGL error: dlopen /usr/X11R6/lib/modules/dri/savage_dri.so failed (/usr/X11R6/lib/modules/dri/savage_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to find driver: savage_dri.so

Why does it still look for "/usr/X11R6/lib/modules/dri/savage_dri.so"?
Comment 1 Joachim Frieben 2005-11-19 03:39:26 EST
Running "strings /usr/lib/libGL.so.1.2 | grep X11R6"
yields "/usr/X11R6/lib/modules/dri" which seems to confirm
my earlier conjecture.
Comment 2 Joachim Frieben 2005-11-19 15:33:12 EST
A symlink from "/usr/lib/dri" to "/usr/X11R6/lib/modules/dri" for
testing purposes allows to recover hardware acceleration. This
confirms my previous guess of an internal "Mesa" build problem.
Comment 3 Jeremy Katz 2005-11-20 15:46:44 EST
Fixed in -5

Note You need to log in before you can comment on or make changes to this bug.